/**
 * Proxies getters on the target to the object.
 *
 * @param  {Object} target
 * The proxy to add getters to.
 *
 * @param  {Object} obj
 * Object with properties we want to proxy getters to.
 *
 * @params {string[]} keys
 * The keys to proxy.
 */
export declare function proxyGetters<T, U>(target: T, obj: U, keys: Array<keyof U>): void;
/**
 * Invokes the function in a promise-safe way.
 */
export declare function promiseTry<R>(fn: () => R): R extends Promise<infer P> ? Promise<P> : Promise<R>;
